Subject: INS requested to submit more documents

From: "Z. Yu" <[email-masked]>
Date: Sat, 19 Mar 94 20:04:57 CST

Hi, anybody has any idea in this:

I just got a letter from Philadelphia INS which asks me to submit the
following documents:

For CSPAer's spouse:

    [X] Copy of Marriage Certificate issued at a notarial office with
        jurisdiction over your county of previous residence.

For CSPAer's child:

    [X] Copy of Notarial Certificate of Birth issued at a notarial office
        in China with jurisdiction over your county of previous residence.

For both spouse & child:

    [X] Evidence that you have maintained your immigration status since your
        first entry into the United States.  If your status is dependent upon
        a relative, provide evidence that that relative was in lawful
        immigration status on April 11, 1990.

When we filed the I-485, we submitted the copy & translation of the original
Marriage Certificate and Birth Certificate.  Also, all the I-20s (CSPAer's
and LAD's) should be good enough for the lawful status, right?  Thus, I
really do not understand why INS still asks for these documents.  What else
do we need to submit as evidence?  For the notarial Marriage & Birth
certificates, we were told that the notarial copies were not required,
and the copies of the original documents were OK as substitution.

Any help is great appreciated!  Also anybody know how long it will need
to get notarial certificates in China these days? (The original documents
are in USA!)

Thank you in advanced!

--Z. Yu